GuidesAPI Reference
API Reference

Modify a catalog

Modify some fields of the catalog. The existing HTTP PUT method only allows a complete replacement of a catalog configuration, HTTP PATCH method is used to modify some fields of existing catalog configuration. All fields are optional. Specify field value to modify it, not specified fields are ignored. To remove the field value use the null value. For more information, see RFC 7396 - JSON Merge Patch.

Path Params
string
required

The HERE Resource Name (HRN) of the catalog

Query Params
string

The billingTag parameter is an optional free-form tag that you can use to group billing records together. If supplied, it must be between 4 - 16 characters, contain only alpha/numeric ASCII characters [A-Za-z0-9]. Grouping billing records by billing tag will be available in future releases.

Body Params

A catalog object that contains modification of catalog configuration

string
length between 0 and 200

The short name for the catalog. Field is optional, Specify a value to modify catalog name. This field is not removable, null value is not allowed.

string
length between 0 and 1000

A one-sentence summary of the catalog. You can see this summary when you browse a list of catalogs on the platform portal. Field is optional, Specify a value to modify catalog summary. This field is not removable, null value is not allowed.

string
length between 0 and 10000

A detailed description of the catalog and what it contains. This information appears on the 'Overview' tab when you open a catalog in the platform portal. Field is optional, Specify a value to modify catalog description. This field is not removable, null value is not allowed.

tags
array of strings

Some keywords that help to find the catalog when searching in the platform portal. Field is optional, Specify a value to replace all list of tags. This field is not removable, null value is not allowed.

tags
string

This field is deprecated on the catalog level. Use /catalogs/{catalogHrn}/dataSubsets to set areaScheme in the dataSubset instead. HERE Resource Name (HRN) of the Area Scheme used in the data subset. After deprecation setting areaScheme on the catalog level takes no effect. It will simply be ignored.

boolean

This field is deprecated on the catalog level. Use subsetRestrictions on the layer level only. Indicates if the subsetRestrictions for a layer is enabled or not. Supported only for layers with heretile partitioning. After deprecation setting subsetRestrictions on the catalog level takes no effect. It will simply be ignored.

notifications
object

When set to true, a notification is written to the notification stream each time the version of the catalog changes. This field is optional, but you can update the value to modify notifications. Additionally, this field is not removable, and a null value is not allowed.

replication
object
automaticVersionDeletion
boolean

This property can be set to true if the resource needs to be protected from deletion. It can be set to false if the resource does not need to be protected from deletion. By default, catalogs are not protected.

Responses

400

Bad Request - indicates that your request failed fast validation such as syntax or some logical errors.

401

Unauthorized

402

Payment required - indicates that your request failed because performing the catalog operation would exceed the resource limit.

403

Forbidden - Access to this catalog is forbidden.

404

Not Found - A catalog with the specified HRN doesn't exist.

409

Conflict - The catalog with the specified HRN is in the process of being updated.

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json